get.refentry.source
Prev | Common » Refentry Metadata Template Reference | Next

## get.refentry.source

get.refentry.source — Gets source metadata for a refentry

## Synopsis

    <xsl:template name="get.refentry.source">
    <xsl:param name="refname"/>
    <xsl:param name="info"/>
    <xsl:param name="prefs"/>
      ...
    </xsl:template>

## Description

The `man(7)` man page describes this as "the source of the command", and provides the following examples:

- For binaries, use something like: GNU, NET-2, SLS Distribution, MCC Distribution.

- For system calls, use the version of the kernel that you are currently looking at: Linux 0.99.11.

- For library calls, use the source of the function: GNU, BSD 4.3, Linux DLL 4.4.1.

The `solbook(5)` man page describes something very much like what `man(7)` calls "source", except that `solbook(5)` names it "software" and describes it like this:

> This is the name of the software product that the topic discussed on the reference page belongs to. For example UNIX commands are part of the `SunOS x.x` release.

In practice, there are many pages that simply have a version number in the "source" field. So, it looks like what we have is a two-part field, `Name` `Version`, where:

Name

  product name (e.g., BSD) or org. name (e.g., GNU)

Version

  version name

Each part is optional. If the `Name` is a product name, then the `Version` is probably the version of the product. Or there may be no `Name`, in which case, if there is a `Version`, it is probably the version of the item itself, not the product it is part of. Or, if the `Name` is an organization name, then there probably will be no `Version`.

## Parameters

refname

  The first `refname` in the refentry

info

  A set of info nodes (from a `refentry` element and its ancestors)

prefs

  A node containing users preferences (from global stylesheet parameters)

## Returns

Returns a `source` node.

Prev | Up | Next
get.refentry.date | Home | get.refentry.source.name